> For the complete documentation index, see [llms.txt](https://docs.endless.link/endless/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.endless.link/endless/devbuild/build/learn-the-move-language/advanced-move-guides/objects.md).

# Objects

## What are objects?

The Move language controls access to resources using the store ability and accounts. The Object model provides a way to associate a collection of resources with a single address, using centralized resource control and ownership management. An Object is a container for resources at a single address which can be managed and accessed as a group for efficiency. The contract creating an Object can define custom behaviors around changes and transfers of those resources.

It's simply represented as an `ObjectCore` struct, which keeps track of the owner of the `Object` and transfer permissions. Along with the ability to store resources with an `ObjectGroup`. You can find more technical details at the Object standard page, and view the code at the framework generated object documentation.

An example of creating and transferring an object:

```move
module my_addr::object_playground {
  use std::signer;
  use endless_framework::object::{self, ObjectCore};

  entry fun create_and_transfer(caller: &signer, destination: address) {
    // Create object
    let caller_address = signer::address_of(caller);
    let constructor_ref = object::create_object(caller_address);

    // Set up the object...

    // Transfer to destination
    let object = object::object_from_constructor_ref<ObjectCore>(
      &constructor_ref
    );
    object::transfer(caller, object, destination);
  }
}
```

## Learn more about using Objects

* Creating objects
* Configuring objects
* Using objects

## More details

For more details on objects, checkout:

* Object standards page.
* Framework generated object documentation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.endless.link/endless/devbuild/build/learn-the-move-language/advanced-move-guides/objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
